clear all
set more off
local path1 
cd ""
use "", clear
encode iso_code, gen(iso_code1)
xtset iso_code1 datemdy

*First ComponenT
pca std_GovEffect_Lag std_PolStab_Lag std_RuleofLaw_Lag std_ControlofCorr_Lag
predict pc1GovInd, score
label variable  pc1GovInd "FPC Governance Indicators"

pca std_BusinessFreedom_Lag std_FinancialFreedom_Lag std_InvestmentFreedom_Lag std_TradeFreedom_Lag std_MonetaryFreedom_Lag std_JudicialEffectiveness_Lag
predict pc2Heritage, score
label variable  pc2Heritage "FPC Economic Freedom"

/*******************************************************************************
	    Regressions Política Fiscal - Monetaria	- Outreg tex		   
*******************************************************************************/
xtreg BCI Pandemic, fe vce(cluster iso_code1)

xtreg BCI c.std_m15_new_deaths_per_million##c.Trend_100cases std_IC_Lag , fe  vce(cluster iso_code1)

xtreg BCI c.std_m15_new_deaths_per_million##c.Trend_100cases std_IC_Lag std_BIS_real_ir_Lag , fe  vce(cluster iso_code1)

xtreg BCI c.std_m15_new_deaths_per_million##c.Trend_100cases std_IC_Lag std_BIS_real_ir_Lag std_Gov_Final_Cons_GDP_Lag , fe  vce(cluster iso_code1)

xtreg BCI c.std_m15_new_deaths_per_million##c.Trend_100cases std_IC_Lag i.Pandemic#c.std_BIS_real_ir_Lag i.Pandemic#c.std_Gov_Final_Cons_GDP_Lag , fe  vce(cluster iso_code1)

/*******************************************************************************
	      Regressions Interactions - Outreg Tex 
*******************************************************************************/
xtreg BCI c.std_m15_new_deaths_per_million##c.Trend_100cases std_IC_Lag std_BIS_real_ir_Lag std_Gov_Final_Cons_GDP_Lag, fe vce(cluster iso_code1)

xtreg BCI Trend_100cases c.std_m15_new_deaths_per_million#c.Trend_100cases  c.std_m15_new_deaths_per_million#i.Development c.std_IC_Lag#i.Development std_BIS_real_ir_Lag std_Gov_Final_Cons_GDP_Lag, fe vce(cluster iso_code1)

xtreg BCI Trend_100cases c.std_m15_new_deaths_per_million#c.Trend_100cases  c.std_IC_Lag#i.Containment_A_B_Median c.std_m15_new_deaths_per_million#i.Voluntary_A_B_Median std_BIS_real_ir_Lag std_Gov_Final_Cons_GDP_Lag, fe vce(cluster iso_code1)

/*******************************************************************************
	               Regressions Neighbours - Outreg Tex 
*******************************************************************************/
xtreg BCI c.std_m15_new_deaths_per_million##c.Trend_100cases std_IC_Lag std_BIS_real_ir_Lag std_Gov_Final_Cons_GDP_Lag, fe vce(robust) 

xtreg BCI c.std_m15_new_deaths_per_million##c.Trend_100cases std_IC_Lag std_IC_Neighbours_ComCult_Lag std_BIS_real_ir_Lag  std_Gov_Final_Cons_GDP_Lag, fe vce(robust) 

xtreg BCI c.std_m15_new_deaths_per_million##c.Trend_100cases std_IC_Lag std_IC_Neighbours_dist_5_Lag std_BIS_real_ir_Lag std_Gov_Final_Cons_GDP_Lag, fe vce(robust) 

xtreg BCI c.std_m15_new_deaths_per_million##c.Trend_100cases std_IC_Lag std_IC_Neighbours_OwnRose_5_Lag std_BIS_real_ir_Lag std_Gov_Final_Cons_GDP_Lag, fe vce(robust) 

xtreg BCI c.std_m15_new_deaths_per_million##c.Trend_100cases std_IC_Lag std_IC_Neighbours_ComCult_Lag std_IC_Neighbours_dist_5_Lag  std_BIS_real_ir_Lag std_Gov_Final_Cons_GDP_Lag, fe vce(robust) 

/*******************************************************************************
	         Regressions Neighbours - Political Variables - Outreg Tex
*******************************************************************************/
xtreg BCI c.std_m15_new_deaths_per_million##c.Trend_100cases std_IC_Lag std_IC_Neighbours_ComCult_Lag  std_IC_Neighbours_dist_5_Lag  std_BIS_real_ir_Lag std_Gov_Final_Cons_GDP_Lag, fe vce(robust) 

xtreg BCI c.std_m15_new_deaths_per_million##c.Trend_100cases std_IC_Lag std_IC_Neighbours_ComCult_Lag std_IC_Neighbours_dist_5_Lag  std_BIS_real_ir_Lag std_Gov_Final_Cons_GDP_Lag i.Development, re vce(robust)    // i.iso_code1

xtreg BCI c.std_m15_new_deaths_per_million##c.Trend_100cases std_IC_Lag std_IC_Neighbours_ComCult_Lag std_IC_Neighbours_dist_5_Lag  std_BIS_real_ir_Lag std_Gov_Final_Cons_GDP_Lag i.b1.system, re vce(robust)  // i.iso_code1

xtreg BCI c.std_m15_new_deaths_per_million##c.Trend_100cases std_IC_Lag std_IC_Neighbours_ComCult_Lag std_IC_Neighbours_dist_5_Lag  std_BIS_real_ir_Lag std_Gov_Final_Cons_GDP_Lag pc1GovInd, fe vce(robust) 

xtreg BCI c.std_m15_new_deaths_per_million##c.Trend_100cases std_IC_Lag std_IC_Neighbours_ComCult_Lag std_IC_Neighbours_dist_5_Lag  std_BIS_real_ir_Lag std_Gov_Final_Cons_GDP_Lag pc2Heritage, fe vce(robust) 
